Page MenuHomePhabricator

Upgrade box for EventLogging (vanadium)
Closed, ResolvedPublic

Description

Upgrade box for EventLogging, the current box we use -vanadium- is to be replaced by a newer, most robust system

Event Timeline

Nuria created this task.Feb 22 2015, 12:21 AM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added a subscriber: Nuria.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2015, 12:21 AM
kevinator triaged this task as High priority.Feb 24 2015, 3:20 PM
kevinator moved this task from Paused to In Progress on the Analytics-Kanban board.
Ottomata added a subscriber: ori.Mar 30 2015, 4:24 PM

@ori, do you know the status of this? Nuria says that you know of some box that has been slated for this use? I'm happy to go ahead and do this upgrade, if you will point me in the right direction.

yuvipanda added a subscriber: yuvipanda.
PROBLEM - RAID on vanadium is CRITICAL: CRITICAL: Active: 4, Working: 4, Failed: 2, Spare: 0

Just happened, so this box needs to be replaced pretty quickly. now.

yuvipanda raised the priority of this task from High to Unbreak Now!.Apr 2 2015, 9:35 PM

since this is a SPOF for EventLogging, and plenty of people will be sadface if eventlogging dies.

Change 201718 had a related patch set uploaded (by Ottomata):
Puppetize eventlog1001

https://gerrit.wikimedia.org/r/201718

Change 201718 merged by Ottomata:
Puppetize eventlog1001

https://gerrit.wikimedia.org/r/201718

Change 201724 had a related patch set uploaded (by Ottomata):
Use eventlog1001 as main eventlogging host instead of vanadium

https://gerrit.wikimedia.org/r/201724

Change 201724 merged by Ottomata:
Use eventlog1001 as main eventlogging host instead of vanadium

https://gerrit.wikimedia.org/r/201724

Change 201734 had a related patch set uploaded (by Ottomata):
Use ensure => absent for varnish::logging vanadium

https://gerrit.wikimedia.org/r/201734

Change 201734 merged by Ottomata:
Use ensure => absent for varnish::logging vanadium

https://gerrit.wikimedia.org/r/201734

Change 201735 had a related patch set uploaded (by Ottomata):
Use ensure => present for default varnish::logging

https://gerrit.wikimedia.org/r/201735

Change 201735 merged by Ottomata:
Use ensure => present for default varnish::logging

https://gerrit.wikimedia.org/r/201735

Change 201737 had a related patch set uploaded (by Ottomata):
Send server side eventlogging logs to eventlog1001 instead of vanadium

https://gerrit.wikimedia.org/r/201737

Change 201737 merged by jenkins-bot:
Send server side eventlogging logs to eventlog1001 instead of vanadium

https://gerrit.wikimedia.org/r/201737

Things are looking good! eventlog1001 has fully taken over all vanadium duties. I will leave vanadium up for now, and decommission it next week.

yuvipanda closed this task as Resolved.Apr 3 2015, 9:20 PM

Yay :)

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 7 2017, 6:54 PM